apiVersion: v1
kind: Service
metadata:
  name: tvememberui
  labels:
    app: tvememberui
    service: tvememberui
spec:
  ports:
  - port: 80
    name: http
  selector:
    app: tvememberui
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: member-ui
---
apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: default
  name: tvememberui-v1
  labels:
    app: tvememberui
    version: v1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: tvememberui
      version: v1
  template:
    metadata:
      labels:
        app: tvememberui
        version: v1
    spec:
      serviceAccountName: member-ui
      containers:
      - name: tve-member-ui
        image: docker.io/bbowenhhuang/tve-member-ui:v1
        imagePullPolicy: Always
        ports:
        - containerPort: 80
---